Subject: Re: Opium poppy as a medicinal herb?

From: [email-masked] (Vilca)
Date: Tue, 7 Nov 1995 22:40:57 UTC

>>Also any info on the legality of growing the species?
>In the United States, totally illegal, even in a garden. You can't buy 
>seeds or plants.

   I have seen P. somniferum seeds packaged by at least three different 
American seed companies openly offered for sale by mail order and/or in 
garden centers.

--****ATTENTION****--****ATTENTION****--****ATTENTION****--***ATTENTION***
Your e-mail reply to this message WILL be *automatically* ANONYMIZED.
Please, report inappropriate use to                [email-masked]
For information (incl. non-anon reply) write to    [email-masked]
If you have any problems, address them to          [email-masked]